--- old/usr/src/cmd/sgs/elfdump/common/struct_layout_sparc.c	2016-06-30 21:58:38.735369823 -0400
+++ new/usr/src/cmd/sgs/elfdump/common/struct_layout_sparc.c	2016-06-30 21:58:38.786352240 -0400
@@ -376,6 +376,16 @@
 };
 
 
+static const sl_prsecflags_layout_t prsecflags_layout = {
+       { 0,    20,     0,      0 },            /* sizeof (prsecflags_t) */
+       { 0,    4,      0,      0 },            /* pr_version */
+       { 4,    4,      0,      0 },            /* pr_effective */
+       { 8,    4,      0,      0 },            /* pr_inherit */
+       { 12,   4,      0,      0 },            /* pr_lower */
+       { 16,   4,      0,      0 },            /* pr_upper */
+};
+
+
 
 
 static const sl_arch_layout_t layout_sparc = {
@@ -399,6 +409,7 @@
 	&timestruc_layout,
 	&utsname_layout,
 	&prfdinfo_layout,
+	&prsecflags_layout,
 };
 
 
